! waste.cmd
!
echo Calculate the amount of harmonic waste
set separator
set calc short
echo
echo Harmonic waste for C-E E-G# Ab-c
calc abs(%4-5/4)+abs(%8-%4-5/4)+abs(%12-%8-5/4)-$d
echo
echo Harmonic waste for C#-F F-A A-c#
calc abs(%5-%1-5/4)+abs(%9-%5-5/4)+abs(%13-%9-5/4)-$d
echo
echo Harmonic waste for D-F# F#-A# Bb-d
calc abs(%6-%2-5/4)+abs(%10-%6-5/4)+abs(%14-%10-5/4)-$d
set separator |
set calc long
